import { Component, PropsWithChildren, useEffect, useState } from "react";
import Taro from "@tarojs/taro";
import { Block, View, Text, Image } from "@tarojs/components";

/** 自定义组件 **/
import Navbar from "../../components/navbar/navbar";
/** 自定义组件 **/

import "./errorpage.less";

export default class Index extends Component<any, any> {
  constructor(props) {
    super(props);
    this.state = {
      name: "错误页面",
    };
  }

  async onLoad() {}
  componentDidMount() {}

  componentWillUnmount() {}

  componentDidShow() {}

  componentDidHide() {}

  async initData() {}

  render() {
    return (
      <Block>
        <View>
          <Navbar isBack={true}></Navbar>
          <View className="error-tip">网络出错，再试一次看看</View>
        </View>
      </Block>
    );
  }
}
